unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls, ColorString;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Test: TButton;
    Fehler: TButton;
    Hinweis: TButton;
    Memo1: TMemo;
    Warnung: TButton;
    Print: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FehlerClick(Sender: TObject);
    procedure HinweisClick(Sender: TObject);
    procedure TestClick(Sender: TObject);
    procedure WarnungClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure PrintClick(Sender: TObject);
  private
    ColorMemo: TColorMemo;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }


procedure TForm1.Button1Click(Sender: TObject);
begin
  ColorMemo.Lines.Add('Hello World: ' + IntToStr(ColorMemo.Lines.Count), Random($FFFFFF));
end;

procedure TForm1.FehlerClick(Sender: TObject);
begin
  ColorMemo.Lines.Add('Fehler: ' + IntToStr(ColorMemo.Lines.Count), clRed);
end;

procedure TForm1.HinweisClick(Sender: TObject);
begin
  ColorMemo.Lines.Add('Hinweis: ' + IntToStr(ColorMemo.Lines.Count), clGray);
end;

procedure TForm1.WarnungClick(Sender: TObject);
begin
  ColorMemo.Lines.Add('Warnung: ' + IntToStr(ColorMemo.Lines.Count), clYellow);
end;

procedure TForm1.TestClick(Sender: TObject);
var
  i: integer;
begin
  for i := 0 to ColorMemo.Lines.Count - 1 do begin
    WriteLn(ColorMemo.Lines[i]^.s);
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ColorMemo := TColorMemo.Create(Self);
  ColorMemo.Align := alRight;
  ColorMemo.Parent := Self;
  ColorMemo.Left := 150;
  ColorMemo.Anchors := [akTop, akBottom, akLeft, akRight];
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
end;

procedure TForm1.PrintClick(Sender: TObject);
begin
  ColorMemo.Refresh;
end;

end.
